
// written in the D programming language

/++
 +	Authors: Stephan Dilly, www.extrawurst.org
 +/

module main;

import gameApp;

import std.stdio;

///
int main(string[] args) {

	try {

		scope auto game = new GameApp();
		game.boot();

		//game loop
		while(true)
		{
			if(!game.update())
				break;
		}

		game.shutdown();

		writefln("bye !");
	}
	catch(Object o) {

		//write out whatever exception is thrown
		debug writefln("[exception] E: \"%s\"",o);

		return -1;
	}

	return 0;
}